Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.recordio
Class AbstractRecordWriterFactory

    java.lang.Object
      com.servingxml.components.recordio.AbstractRecordWriterFactory

All Implemented Interfaces:
  RecordFilterAppender, RecordPipelineAppender, RecordWriterFactory

Direct Known Subclasses:
  DefaultFlatFileWriterFactory, FlatFileWriterFactory, SqlWriterFactory

    public abstract class AbstractRecordWriterFactory

extends java.lang.Object
implements RecordWriterFactory, RecordFilterAppender

An `AbstractRecordWriterFactory` provides a default implementation for some methods of a `RecordWriterFactory`

Field Summary

Fields inherited from interface com.servingxml.components.recordio.RecordPipelineAppender
`EMPTY_ARRAY`

Fields inherited from interface com.servingxml.components.recordio.RecordPipelineAppender
`EMPTY_ARRAY`

Constructor Summary
`AbstractRecordWriterFactory()`

Method Summary
`void` | `appendToRecordPipeline(ServiceContext context, Flow flow, RecordFilterChain pipeline)`
`RecordPipeline` | `createRecordPipeline(ServiceContext context, Flow flow)`
`abstract RecordWriter` | `createRecordWriter(ServiceContext context, Flow flow)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractRecordWriterFactory

    public AbstractRecordWriterFactory()

Method Detail

### createRecordPipeline

    public RecordPipeline createRecordPipeline(ServiceContext context,
                                               Flow flow)

  Specified by:
    `createRecordPipeline` in interface `RecordPipelineAppender`

### createRecordWriter

    public abstract RecordWriter createRecordWriter(ServiceContext context,
                                                    Flow flow)

  Specified by:
    `createRecordWriter` in interface `RecordWriterFactory`

### appendToRecordPipeline

    public void appendToRecordPipeline(ServiceContext context,
                                       Flow flow,
                                       RecordFilterChain pipeline)

  Specified by:
    `appendToRecordPipeline` in interface `RecordPipelineAppender`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD